hal_prop_s Struct Reference
Public interface » ID macros

HAL device properties. More...

`#include <hd.h>`

## Data Fields

struct hal_prop_s * | next
hal_prop_type_t | type
char * | key
union { |
char * hal_prop_s::str |
int32_t hal_prop_s::int32 |
uint64_t hal_prop_s::uint64 |
double hal_prop_s::d |
int hal_prop_s::b |
str_list_t * hal_prop_s::list |
} | val

## Detailed Description

HAL device properties.

The documentation for this struct was generated from the following file:

- hd.h